version: 2
name: 发布更新
description: ""
global:
  concurrent: 1
trigger:
  webhook: gitlink@1.0.0
  event:
    - ref: push
      ruleset-operator: AND
workflow:
  - ref: start
    name: 开始
    task: start
  - ref: end
    name: 结束
    task: end
    needs:
      - git_push_0
  - ref: docker_image_build_0
    name: docker镜像构建
    task: docker_image_build@1.6.0
    input:
      image_name: '""'
      image_tag: '"latest"'
      registry_address: '""'
      docker_file: '"Dockerfile"'
      docker_build_path: '"."'
      workspace: '"."'
      image_push: true
      build_args: '""'
    needs:
      - start
  - ref: ssh_cmd_0
    name: ssh执行命令
    task: ssh_cmd@1.1.1
    input:
      ssh_ip: '""'
      ssh_port: '"22"'
      ssh_user: '"root"'
      ssh_cmd: '""'
    needs:
      - docker_image_build_0
  - ref: git_push_0
    name: git_push
    task: sailstar/git_push@1.0.6
    input:
      remote_url: '""'
      remote_branch: '"master"'
      source_path: '""'
      target_dir: '""'
      commit_message: '"jianmu default commit message"'
      committer_name: '"jianmu"'
      committer_email: '"jianmu@example.com"'
    needs:
      - ssh_cmd_0

